#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 structured
version:              0.1.1
visibility:           public
id:                   structured-0.1.1-G4RBOHAIcBwDDk7NyMRE0Z
key:                  structured-0.1.1-G4RBOHAIcBwDDk7NyMRE0Z
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Structure (hash) of your data types
description:
    Calculate the hash of a data structure.
    It can be used as a magic number for the serialization formats.
    See <https://hackage.haskell.org/package/binary-tagged binary-tagged>
    for a @binary@ bindings.

category:             Data
abi:                  14f4e59f2a533258099d4fb46e4e5b3c
exposed:              True
exposed-modules:      Data.Structured Data.Structured.Internal
hidden-modules:       Data.Structured.MD5
import-dirs:          /usr/lib/ghc-9.0.2/site-local/structured-0.1.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/structured-0.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-structured
hs-libraries:         HSstructured-0.1.1-G4RBOHAIcBwDDk7NyMRE0Z
depends:
    aeson-2.1.2.1-ACNZHhH4U2e67aZXZDgTOb array-0.5.4.0 base-4.15.1.0
    base16-bytestring-1.0.2.0-BhRDuWK4BAQJZPnXghIxiI binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    hashable-1.4.3.0-ESEjVh9IF6l3kXlrvIyche
    scientific-0.3.7.0-7992hTQSngN1mZw90JzZGW
    tagged-0.8.8-7t9egrTqJuwIG4IxuqlUrH text-1.2.5.0
    time-compat-1.9.6.1-A58J0FX60J69PDQChDdMOR transformers-0.5.6.2
    unordered-containers-0.2.19.1-J4eg8YowQRtEC3N7B7zfuy
    uuid-types-1.0.5.1-Ks0AMBm1kZ9G67sts06I3x
    vector-0.13.0.0-HZxUYbi5cfB4SV8TkUpCM2

haddock-interfaces:   /usr/share/doc/haskell-structured/html/structured.haddock
haddock-html:         /usr/share/doc/haskell-structured/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

